AWS IoT Device SDK C++ v2: Aws::Greengrass::CreateLocalDeploymentRequest Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Aws::Greengrass::CreateLocalDeploymentRequest Class Reference

`#include <GreengrassCoreIpcModel.h>`

Inheritance diagram for Aws::Greengrass::CreateLocalDeploymentRequest:

## Public Member Functions
| CreateLocalDeploymentRequest () noexcept
| CreateLocalDeploymentRequest (const CreateLocalDeploymentRequest &)=default
void | SetGroupName (const Aws::Crt::String &groupName) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetGroupName () noexcept
void | SetRootComponentVersionsToAdd (const Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > &rootComponentVersionsToAdd) noexcept
Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > > | GetRootComponentVersionsToAdd () noexcept
void | SetRootComponentsToRemove (const Aws::Crt::Vector< Aws::Crt::String > &rootComponentsToRemove) noexcept
Aws::Crt::Optional< Aws::Crt::Vector< Aws::Crt::String > > | GetRootComponentsToRemove () noexcept
void | SetComponentToConfiguration (const Aws::Crt::Map< Aws::Crt::String, Aws::Crt::JsonObject > &componentToConfiguration) noexcept
Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::JsonObject > > | GetComponentToConfiguration () noexcept
void | SetComponentToRunWithInfo (const Aws::Crt::Map< Aws::Crt::String, RunWithInfo > &componentToRunWithInfo) noexcept
Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, RunWithInfo > > | GetComponentToRunWithInfo () noexcept
void | SetRecipeDirectoryPath (const Aws::Crt::String &recipeDirectoryPath) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetRecipeDirectoryPath () noexcept
void | SetArtifactsDirectoryPath (const Aws::Crt::String &artifactsDirectoryPath) noexcept
Aws::Crt::Optional< Aws::Crt::String > | GetArtifactsDirectoryPath () noexcept
void | SerializeToJsonObject (Aws::Crt::JsonObject &payloadObject) const noexcept override
bool | operator< (const CreateLocalDeploymentRequest &) const noexcept
Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
| AbstractShapeBase () noexcept
virtual | ~AbstractShapeBase () noexcept

## Static Public Member Functions
static void | s_loadFromJsonView (CreateLocalDeploymentRequest &, const Aws::Crt::JsonView &) noexcept
static Aws::Crt::ScopedResource< AbstractShapeBase > | s_allocateFromPayload (Aws::Crt::StringView, Aws::Crt::Allocator *) noexcept
static void | s_customDeleter (CreateLocalDeploymentRequest *) noexcept
Static Public Member Functions inherited from Aws::Eventstreamrpc::AbstractShapeBase
static void | s_customDeleter (AbstractShapeBase *shape) noexcept

## Static Public Attributes
static const char * | MODEL_NAME = "aws.greengrass#CreateLocalDeploymentRequest"

## Protected Member Functions
Aws::Crt::String | GetModelName () const noexcept override

## Additional Inherited Members
Protected Attributes inherited from Aws::Eventstreamrpc::AbstractShapeBase
Crt::Allocator * | m_allocator

## Constructor & Destructor Documentation

## ◆ CreateLocalDeploymentRequest() [1/2]

Aws::Greengrass::CreateLocalDeploymentRequest::CreateLocalDeploymentRequest | ( |  | ) |
| inlinenoexcept

## ◆ CreateLocalDeploymentRequest() [2/2]

Aws::Greengrass::CreateLocalDeploymentRequest::CreateLocalDeploymentRequest | ( | const CreateLocalDeploymentRequest & |  | ) |
| default

## Member Function Documentation

## ◆ GetArtifactsDirectoryPath()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateLocalDeploymentRequest::GetArtifactsDirectoryPath | ( |  | ) |
| inlinenoexcept

## ◆ GetComponentToConfiguration()

Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::JsonObject > > Aws::Greengrass::CreateLocalDeploymentRequest::GetComponentToConfiguration | ( |  | ) |
| inlinenoexcept

## ◆ GetComponentToRunWithInfo()

Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, RunWithInfo > > Aws::Greengrass::CreateLocalDeploymentRequest::GetComponentToRunWithInfo | ( |  | ) |
| inlinenoexcept

## ◆ GetGroupName()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateLocalDeploymentRequest::GetGroupName | ( |  | ) |
| inlinenoexcept

## ◆ GetModelName()

Aws::Crt::String Aws::Greengrass::CreateLocalDeploymentRequest::GetModelName | ( |  | ) | const
| overrideprotectedvirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ GetRecipeDirectoryPath()

Aws::Crt::Optional< Aws::Crt::String > Aws::Greengrass::CreateLocalDeploymentRequest::GetRecipeDirectoryPath | ( |  | ) |
| inlinenoexcept

## ◆ GetRootComponentsToRemove()

Aws::Crt::Optional< Aws::Crt::Vector< Aws::Crt::String > > Aws::Greengrass::CreateLocalDeploymentRequest::GetRootComponentsToRemove | ( |  | ) |
| inlinenoexcept

## ◆ GetRootComponentVersionsToAdd()

Aws::Crt::Optional< Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > > Aws::Greengrass::CreateLocalDeploymentRequest::GetRootComponentVersionsToAdd | ( |  | ) |
| inlinenoexcept

## ◆ operator<()

bool Aws::Greengrass::CreateLocalDeploymentRequest::operator< | ( | const CreateLocalDeploymentRequest & |  | ) | const
| noexcept

## ◆ s_allocateFromPayload()

Aws::Crt::ScopedResource< AbstractShapeBase > Aws::Greengrass::CreateLocalDeploymentRequest::s_allocateFromPayload | ( | Aws::Crt::StringView | stringView,
|  | Aws::Crt::Allocator * | allocator
| ) |  |
| staticnoexcept

## ◆ s_customDeleter()

void Aws::Greengrass::CreateLocalDeploymentRequest::s_customDeleter | ( | CreateLocalDeploymentRequest * | shape | ) |
| staticnoexcept

## ◆ s_loadFromJsonView()

void Aws::Greengrass::CreateLocalDeploymentRequest::s_loadFromJsonView | ( | CreateLocalDeploymentRequest & | createLocalDeploymentRequest,
|  | const Aws::Crt::JsonView & | jsonView
| ) |  |
| staticnoexcept

## ◆ SerializeToJsonObject()

void Aws::Greengrass::CreateLocalDeploymentRequest::SerializeToJsonObject | ( | Aws::Crt::JsonObject & | payloadObject | ) | const
| overridevirtualnoexcept

Implements Aws::Eventstreamrpc::AbstractShapeBase.

## ◆ SetArtifactsDirectoryPath()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetArtifactsDirectoryPath | ( | const Aws::Crt::String & | artifactsDirectoryPath | ) |
| inlinenoexcept

## ◆ SetComponentToConfiguration()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetComponentToConfiguration | ( | const Aws::Crt::Map< Aws::Crt::String, Aws::Crt::JsonObject > & | componentToConfiguration | ) |
| inlinenoexcept

## ◆ SetComponentToRunWithInfo()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetComponentToRunWithInfo | ( | const Aws::Crt::Map< Aws::Crt::String, RunWithInfo > & | componentToRunWithInfo | ) |
| inlinenoexcept

## ◆ SetGroupName()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetGroupName | ( | const Aws::Crt::String & | groupName | ) |
| inlinenoexcept

## ◆ SetRecipeDirectoryPath()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetRecipeDirectoryPath | ( | const Aws::Crt::String & | recipeDirectoryPath | ) |
| inlinenoexcept

## ◆ SetRootComponentsToRemove()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetRootComponentsToRemove | ( | const Aws::Crt::Vector< Aws::Crt::String > & | rootComponentsToRemove | ) |
| inlinenoexcept

## ◆ SetRootComponentVersionsToAdd()

void Aws::Greengrass::CreateLocalDeploymentRequest::SetRootComponentVersionsToAdd | ( | const Aws::Crt::Map< Aws::Crt::String, Aws::Crt::String > & | rootComponentVersionsToAdd | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ MODEL_NAME

const char * Aws::Greengrass::CreateLocalDeploymentRequest::MODEL_NAME = "aws.greengrass#CreateLocalDeploymentRequest"
| static

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcModel.h
- greengrass_ipc/source/GreengrassCoreIpcModel.cpp